<?php
ob_start();

require('view/config_apps/mo_discord_config_apps.php');
require('view/customise_social_icons/mo_discord_cust_icons.php');
require('view/discord_integration/mo_dis_discord_res.php');
require('view/discord_integration/mo_dis_discord_role_map.php');
require('view/licensing_plans/mo_discord_lic_plans.php');
require('view/shrtco/mo_discord_shrtco.php');
require('MoCustomerDiscordverification.php');
require ('view/woocommerce_integration/mo_woocommerce_integration.php');

function mo_register_discord() {
    $mo_request_uri= isset($_SERVER['REQUEST_URI']) ? sanitize_url($_SERVER['REQUEST_URI']) : '';
    $mo_tab_name = isset($_GET['tab']) ? sanitize_text_field($_GET['tab']) : 'config_apps';
    if (isset($mo_tab_name) && $mo_tab_name !== 'register') {
        $active_tab = $mo_tab_name;
    } else {
        $active_tab = 'config_apps';
    }
    if(mo_discord_restrict_user())
        $disable="disabled";
    else
        $disable="";


  if($active_tab == 'licensing_plans')
    {
        ?>
        <div style="text-align:center;"><h1>WordPress Discord Integration Plugin</h1></div>
        <div><a style="margin-top: 0px;background: #d0d0d0;border-color: #1162b5;color: #151515; float: left" class="button" onclick="window.location='<?php echo esc_url(site_url());?>'+'/wp-admin/admin.php?page=mo_discord_settings'"><span class="dashicons dashicons-arrow-left-alt" style="vertical-align: middle;"></span><b style="font-size: 15px;"> &nbsp;&nbsp;Back To Plugin Configuration</b></a></div>
        <div style="text-align:center; color: rgb(233, 125, 104); margin-top: 55px; font-size: 23px"> You are currently on the Free version of the plugin <br> <br><span style="font-size: 20px; ">
                    <li style="color: dimgray; margin-top: 0px;list-style-type: none;">
                        <div class="mo_discord-quote">
                            <p>
                                <span onclick="void(0);" class="mo_discord-check-tooltip" style="font-size: 15px">Why should I upgrade?
                                    <span class="mo_discord-info">
                                        <span class="mo_discord-pronounce">Why should I upgrade to premium plugin?</span>
                                        <span class="mo_discord-text">Upgrading lets you access all of our features such as User Restriction, Role Mapping, Autopost etc.</span>
                                    </span>
                                </span>
                            </p>
                        </div>
                        <br><br>
                    </li>
        </div>

        <?php
    }
    else
    {
    ?>
    <div>
        <table>
            <tr>
                <td><img id="logo" style="margin-top: 25px" src="<?php echo esc_attr(plugin_dir_url(__FILE__));?>includes/images/logo.png"></td>
                <td>&nbsp;<a style="text-decoration:none" href="https://plugins.miniorange.com/discord-wordpress-single-sign-on-integration/" target="_blank"><h1 style="color: #110d0d85">miniOrange WordPress Discord Integration &nbsp;</h1></a></td>
                <td> <a id="pricing" style="margin-top: 23px;background: #FFA335;border-color: #FFA335;color: white;" class="button"<?php echo $active_tab == 'licensing_plans' ? 'nav-tab-active' : ''; ?>" href="<?php echo esc_url(add_query_arg( array('tab' => 'licensing_plans'), $mo_request_uri )); ?>" onclick="mo_discord_extension_switch()">Licensing Plans</a></td>
            </tr>
        </table>
    </div>
    <div style="width: 100%" id="mo-dis-main-content-div">
        <div id="mo_discord_menu_height" style="width: 15%; float: left; background-color: #32373C; border-radius: 15px 0px 0px 15px;">
            <div style="margin-top: 9px;border-bottom: 0px;text-align:center;">
                <br><br><br>
            </div>
            <div class="mo_discord_tab" style="width:100%; border-radius: 0px 0px 0px 15px;">
                <a id="config_apps" class="tablinks<?php if($active_tab=="config_apps") echo '_active';?>" href="<?php echo esc_url(add_query_arg( array('tab' => 'config_apps'), $mo_request_uri)); ?>">Discord Login</a>
                <a id="attribute_mapping" class="tablinks<?php if($active_tab=="attribute_mapping") echo '_active';?>" href="<?php echo esc_url(add_query_arg( array('tab' => 'attribute_mapping'), $mo_request_uri )); ?>">Attribute Mapping</a>
                <a id="customise_social_icons" class="tablinks<?php if($active_tab=="customise_social_icons") echo '_active';?>" href="<?php echo esc_url(add_query_arg( array('tab' => 'customise_social_icons'), $mo_request_uri )); ?>">Design Icons</a>
                <a id="shortcodes" class="tablinks<?php if($active_tab=="shortcodes") echo '_active';?>" href="<?php echo esc_url(add_query_arg( array('tab' => 'shortcodes'), $mo_request_uri )); ?>">Shortcodes</a>
                <a id="discord_integration" class="tablinks<?php if($active_tab=="discord_integration") echo '_active';?>" href="<?php echo esc_url(add_query_arg( array('tab' => 'discord_integration'), $mo_request_uri )); ?>">Discord Server Configuration</a>
                <a id="discord_2_wp_role_mapping" class="tablinks<?php if($active_tab=="discord_2_wp_role_mapping") echo '_active';?>" href="<?php echo esc_url(add_query_arg( array('tab' => 'discord_2_wp_role_mapping'), $mo_request_uri )); ?>">Discord To WP Role Mapping</a>
                <a id="wp_2_discord_role_mapping" class="tablinks<?php if($active_tab=="wp_2_discord_role_mapping") echo '_active';?>" href="<?php echo esc_url(add_query_arg( array('tab' => 'wp_2_discord_role_mapping'), $mo_request_uri )); ?>">WP To Discord Role Mapping</a>
                <a id="mem_2_discord_role_mapping" class="tablinks<?php if($active_tab=="mem_2_discord_role_mapping") echo '_active';?>" href="<?php echo esc_url(add_query_arg( array('tab' => 'mem_2_discord_role_mapping'), $mo_request_uri )); ?>">Membership/Subscription based Role Mapping</a>
                <a id="woocommerce_integration" class="tablinks<?php if($active_tab=="woocommerce_integration") echo '_active';?>" href="<?php echo esc_url(add_query_arg( array('tab' => 'woocommerce_integration'), $mo_request_uri )); ?>">Woocommerce/WordPress Integration</a>
                <a id="profile" class="tablinks<?php if($active_tab=="profile") echo '_active';?>" href="<?php echo esc_url(add_query_arg( array('tab' => 'profile'), $mo_request_uri )); ?>">Account</a>

            </div>
        </div>
        <style>
            body {font-family: Arial, Helvetica, sans-serif;}
        </style>
        <div id="mo_discord_settings" style="width: 85%; float: right;">
            <div style="background-color: #FFFFFF;width: 90%;border-radius: 0px 15px 15px 0px;">
                    <h3 id="mo_discord_page_heading" class="mo_discord_highlight" style="color: white;margin: 0;padding: 22.5px;border-radius: 0px 15px 0px 0px;font-size: x-large">&nbsp</h3>
                    <div id="mo_discord_msgs"></div>
                <table style="width:100%;">
                    <?php
                    }
                    ?>
                        <tr>
                            <td style="vertical-align:top;">
                                <?php
                                switch ($active_tab){
                                    case 'config_apps':
                                        mo_discord_show_apps();
                                        break;
                                    case 'customise_social_icons':
                                        mo_discord_customise_social_icons();
                                        break;
                                    case 'attribute_mapping':
                                        mo_discord_attribute_mapping();
                                        break;
                                    case 'wp_2_discord_role_mapping':
                                        mo_discord_role_mapping();
                                        break;
                                    case 'mem_2_discord_role_mapping':
                                        mo_mem_2_discord_role_mapping();
                                        break;
                                     case 'discord_2_wp_role_mapping':
                                        mo_discord_2_wp_role_mapping();
                                        break;
                                    case 'discord_integration':
                                        mo_discord_integration();
                                        break;
                                    case 'shortcodes':
                                        mo_discord_login_shortcodes();
                                        break;
                                    case  'profile':
                                        mo_discord_profile();
                                        break;

                                    case 'licensing_plans':
                                        mo_discord_licensing_plans();
                                        break;
                                    case 'woocommerce_integration':
                                        mo_woocommerce_integration();
                                        break;
                                }
                                ?>
                            </td>
                        </tr>
                    </table>
                </div>
            </div>
        </div>
        <input type="button" id="mymo_btn" class="mo_discord_support-help-button" data-show="false" onclick="mo_discord_support_form('')" value="NEED HELP">
    </div>
    <?php include('view/support_form/miniorange_discord_support_form.php');?>
    <script>
        jQuery("#contact_us_phone").intlTelInput();
            function mo_discord_support_form(abc) {
                
                var def = "It seems that you have shown interest. Please elaborate more on your requirements.";
                if (abc == '' || abc == "undefined")
                    def = "Write your query here";

                jQuery("#contact_us_phone").intlTelInput();
                var modal = document.getElementById("myModal");
                modal.style.display = "block";
                var mo_btn = document.getElementById("mymo_btn");
                mo_btn.style.display = "none";
                var span = document.getElementsByClassName("mo_support_close")[0];

                document.getElementById('mo_discord_support_msg').placeholder = def;
                document.getElementById("feature_plan").value= abc;
                span.onclick = function () {
                    modal.style.display = "none";
                    mo_btn.style.display = "block";
                }
                window.onclick = function (event) {
                    if (event.target == modal) {
                        modal.style.display = "none";
                        mo_btn.style.display = "block";
                    }
                }
            }

        function mo_discord_valid_query(f) {
            !(/^[a-zA-Z?,.\(\)\/@ 0-9]*$/).test(f.value) ? f.value = f.value.replace(/[^a-zA-Z?,.\(\)\/@ 0-9]/, '') : null;

        }
    </script>
    <script>
       
        function mo_discord_extension_switch(){
            var extension_url = window.location.href;
            var cookie_names = "extension_current_url";
            var d = new Date();
            d.setTime(d.getTime() + (2 * 24 * 60 * 60 * 1000));
            var expired = "expires="+d.toUTCString();
            document.cookie = cookie_names + "=" + extension_url + ";" + expired + ";path=/";
            <?php update_option('mo_discord_extension_tab','0');?>
        }
        function form_popup(rating){
            jQuery.ajax({
                url: "<?php echo admin_url("admin-ajax.php");?>",
                method: "POST",
                dataType: 'json',
                data: {
                    action: 'mo_discord_rating_given',
                    rating: rating,
                },
                success: function (result) {
                    jQuery("#mo_discord_support_form_feedback").show();
                    jQuery("#moDisCordRateUs").hide();
                }
            });
        }
        function copyToClipboard(copyButton, element, copyelement) {
            var temp = jQuery("<input>");
            jQuery("body").append(temp);
            temp.val(jQuery(element).text()).select();
            document.execCommand("copy");
            temp.remove();
            jQuery(copyelement).text("Copied");
            jQuery(copyButton).mouseout(function () {
                jQuery(copyelement).text("Copy to Clipboard");
            });
        }


    </script>
    <?php
}
